<div class="container p-b-50 screen-pt-50">
	<a routerLink="/login"><i class="fa fa-arrow-circle-left" style="font-size: 30px;display: block;margin-top: 10px;"></i></a>
	<div class="row">
		<div class="col-md-12 sign-12">
			<div class="sign-in-body">
				<img class="mb-1" src="./assets/build/img/logo/logo-1.png" width="150">

				<form class="sign-form" [formGroup]="changePassword" (submit)="reset()">
					<h3 class=""><b>Compte du vendeur</b></h3><br>
					<h4><b>Modifier votre mot de passe</b></h4><br>
					
					<div class="mb-3 ">
                        <label for="password" class="form-label">Nouveau mot de passe</label>
                        <input class="form-control" id="pass" placeholder="" name="password" formControlName="password"
                           required [type]="changetype?'text':'password' " >
                        <span class="mini-c">(Minimum 8 caractères)</span>
      
                        <span toggle="#password-field" id="passwordicon" (click)="viewpass()"
                           [ngClass]="visible?'fa fa-eye':'fa fa-eye-slash' "></span>
      
      
                     </div>
                     <div class="errormsg"
                        *ngIf="changePassword.get('password')?.touched && changePassword.get('password')?.hasError('required')">
                        <h4> <b> Le mot de passe est requis</b></h4>
      
                     </div>
                     <div class="errormsg"
                        *ngIf="changePassword.get('password')?.touched && changePassword.get('password')?.hasError('minlength')">
                        <h4> <b> Un minimum de 8 personnages est requis</b></h4>
      
                     </div>
                     <div class="mb-3">
                        <label for="password1" class="form-label">Confirmer le mot de passe</label>
                        <input type="password" class="form-control" id="pass" placeholder="" required name="password1"
                           formControlName="password2" (blur)="confirmpassword()">
      
                     </div>
                     <div class="errormsg"
                        *ngIf="changePassword.get('password2')?.touched && changePassword.get('password2')?.hasError('required')">
                        <h4> <b> Le mot de passe ne correspond pas</b></h4>
                     </div>
      
                     <div class="errormsg" [hidden]="confirm">
                        <h4> <b> Le mot de passe ne correspond pas</b></h4>
      
                     </div><br>



					<button type="submit" class="btn btn-signs"><b>Suivant</b></button>
					<div class="comeBack_up" *ngIf="Apiresposnse">
						<div *ngIf="Apiresposnse.status == false; else loggedOut">
							<br>
							<div class="alert alert-danger"><strong>{{ Apiresposnse.message }}</strong></div>
						</div>
						<ng-template #loggedOut>
							<br>
							<div class="alert alert-success"><strong>{{ Apiresposnse.message }}</strong></div>
						</ng-template>
					</div> 
					 <h3 class="p-font" style="text-align: center;font-weight: bold;cursor: pointer;"><a
							routerLink="/login">Aller à la connexion</a></h3>




				</form>
			</div>
		</div>
	</div>
</div>


<footer class="footer-3 fotr-1 d-none d-sm-none d-md-block d-lg-block" style="margin-top: -30px;">
	<div class="container">
		<div class="row">
			<div class="col-md-12 text-center">
				<ul class="fottr-ul-22">
					<li><a href="#" class="">Conditions d'utilisation</a></li>
					<li><a href="#" class="">Protection de vos informations personnelles</a></li>
					<li><a href="#" class="">Contact</a></li>

				</ul>
				<p class="footr-p-botm">© 2024-2025, Vendeur.swift-fashion.com </p>
			</div>
		</div>
	</div>
</footer>